import { ElementOrSelector } from 'motion-dom';

interface SplitTextOptions {
    splitBy?: string;
    charClass?: string;
    wordClass?: string;
    lineClass?: string;
}
/**
 * Splits text content of an element into characters, words, and lines.
 *
 * @param elementOrSelector - The element or selector of the element to split. If multiple elements are found, only the first will be split.
 * @param options - Options.
 * @returns An object the chars, words, and lines DOM nodes as a list.
 */
declare function splitText(elementOrSelector: ElementOrSelector, { splitBy, charClass, wordClass, lineClass, }?: SplitTextOptions): {
    readonly chars: HTMLSpanElement[];
    readonly words: HTMLSpanElement[];
    readonly lines: HTMLSpanElement[];
};

export { splitText };
